import React from 'react';
import ReactDOM from 'react-dom';
import axios from 'axios';
import { Form, Select, InputNumber, DatePicker, Switch, Slider, Button } from 'antd';
import './App.css';
import SiderConfig from './siderConfig';
import Login from './login';



const { Option } = Select;

// 响应拦截
axios.interceptors.response.use((response) => {
  return response
}, (err) => {
  if(err.response.status === 401){
      ReactDOM.render(<Login isAutoLogin={false}></Login>, document.getElementById('root'));
  }
  return Promise.reject(err)
})


const App = () => (

    <Login isAutoLogin={true}></Login>
    // <SiderConfig></SiderConfig>

);

export default App;
